#!/bin/ksh

if [[ ! -f hatsd.orig ]]
then
    print "Could not find original file \"hatsd.orig\""
    ls hatsd.orig
    exit 1
fi


if [[ -d /opt/rsct ]]
then
    RSCT_PATH=/opt/rsct
else
    RSCT_PATH=/usr/sbin/rsct
fi

LSSRC_CONFIGRM=$(lssrc -s IBM.ConfigRM | tail -1)
CONFIGRM_STATE=${LSSRC_CONFIGRM##* }
RPD_ONLINE=$(${RSCT_PATH}/bin/lsrpdomain -xo)

if [[ -n $RPD_ONLINE && $CONFIGRM_STATE != "inoperative" ]]
then
    print "Cannot remove while a domain is online:"
    print "$RPD_ONLINE"
    print "(lssrc -s IBM.ConfigRM: $LSSRC_CONFIGRM)"
    exit 1
fi


cp hatsd.orig ${RSCT_PATH}/bin/hatsd

print "Remove completed"

rm -f hatsd.orig

exit 0

